org.apache.xpath.res

## Class XPATHMessages

- java.lang.Object
- - org.apache.xml.res.XMLMessages
  - - org.apache.xpath.res.XPATHMessages

Direct Known Subclasses:
  XSLMessages

    public class XPATHMessages
    extends XMLMessages

A utility class for issuing XPath error messages.

Usage:
  **For internal use only**

### Constructor Summary

Constructors
Constructor and Description
`XPATHMessages()`

### Method Summary

Methods
`static java.lang.String` `createXPATHMessage(java.lang.String msgKey, java.lang.Object[] args)` Creates a message from the specified key and replacement arguments, localized to the given locale.
`static java.lang.String` `createXPATHMsg(java.util.ListResourceBundle fResourceBundle, java.lang.String msgKey, java.lang.Object[] args)` Creates a message from the specified key and replacement arguments, localized to the given locale.
`static java.lang.String` `createXPATHWarning(java.lang.String msgKey, java.lang.Object[] args)` Creates a message from the specified key and replacement arguments, localized to the given locale.

### Methods inherited from class org.apache.xml.res.XMLMessages

`createMsg, createXMLMessage, getLocale, loadResourceBundle, setLocale`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### XPATHMessages

    public XPATHMessages()

### Method Detail

#### createXPATHMessage

    public static final java.lang.String createXPATHMessage(java.lang.String msgKey,
                                      java.lang.Object[] args)

Creates a message from the specified key and replacement arguments, localized to the given locale.

Parameters:
  `msgKey` - The key for the message text.
  `args` - The arguments to be used as replacement text in the message created.
Returns:
  The formatted message string.

#### createXPATHWarning

    public static final java.lang.String createXPATHWarning(java.lang.String msgKey,
                                      java.lang.Object[] args)

Creates a message from the specified key and replacement arguments, localized to the given locale.

Parameters:
  `msgKey` - The key for the message text.
  `args` - The arguments to be used as replacement text in the message created.
Returns:
  The formatted warning string.

#### createXPATHMsg

    public static final java.lang.String createXPATHMsg(java.util.ListResourceBundle fResourceBundle,
                                  java.lang.String msgKey,
                                  java.lang.Object[] args)

Creates a message from the specified key and replacement arguments, localized to the given locale.

Parameters:
  `fResourceBundle` - The resource bundle to use.
  `msgKey` - The message key to use.
  `args` - The arguments to be used as replacement text in the message created.
Returns:
  The formatted message string.